Subject: bug#24884: closed (Re: bug#24884: Segfault on (mkstemp! "XX" 0))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 01 Mar 2017 13:53:02 +0000

Your bug report

#24884: Segfault on (mkstemp! "XX" 0)

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24884: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24884
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24884: Segfault on (mkstemp! "XX" 0)
From: Andy Wingo <[email-masked]>
To: Jean Louis <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Mar 2017 14:52:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed 11 Jan 2017 22:33, Andy Wingo <[email-masked]> writes:

> On Sat 05 Nov 2016 19:16, Jean Louis <[email-masked]> writes:
>
>> I was just testing a function, and before I figured out what is
>> happening, it is segfaulting on:
>> (mkstemp! "XX" 0)
>>
>> I don't say, I am using it right. It should not segfault.
>
> I agree.  This is a pending topic in Guile.  (The reason, of course:
> mutating literal constants is not valid Scheme.  Guile allocates
> some constant literals in read-only memory.  Mutating that memory, or
> attempting to do so, segfaults, as you have seen.  We should raise an
> error instead.)

Sigh, spoke too soon.  This one turned out to be a rather more ordinary
bug.  Fixed in git on both branches.  Thanks for the report!

Andy

Subject: Segfault on (mkstemp! "XX" 0)
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Sat, 5 Nov 2016 21:16:58 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I was just testing a function, and before I figured out what is
happening, it is segfaulting on:
(mkstemp! "XX" 0)

I don't say, I am using it right. It should not segfault.

Jean

guile (GNU Guile) 2.0.13
Copyright (C) 2016 Free Software Foundation, Inc.